from django.urls import path, include
from rest_framework.routers import DefaultRouter
from .api import (
    LiveStockViewSet,
    LiveStockTypeViewSet,
    LiveStockSpeciesViewSet,
    LiveStockUseTypeViewSet,
)

router = DefaultRouter()
router.register(r'livestock', LiveStockViewSet, basename='livestock')
router.register(r'livestock_type', LiveStockTypeViewSet, basename='livestock_type')
router.register(r'livestock_use_type', LiveStockUseTypeViewSet, basename='livestock_use_type')
router.register(r'livestock_species', LiveStockSpeciesViewSet, basename='livestock_species')

urlpatterns = [
    path('v1/', include(router.urls))
]
